<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <!-- responsive meta tags -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit = no">
  <title>Bootstrap Grid System</title>

  <!-- CSS bootstrap -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>

  <h1 class="text text-white bg-primary ">Bootstrap Grid System</h1>

  <div class="container-fluid ">
    <div class="row">

      <div class="bg-success col-md-8">
        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.   
        
      </div>

      <div class="bg-warning col-md-8">
        Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.   
        
      </div>

    </div>
    <!-- end div row -->

    <h2 class="text-center">Rows with 2qual columns</h2>
    <h3 class="text-center">1:1 Ratio </h3>

    <div class="row mt-3">
      <!-- another row -->
      <div class="bg-primary py-3 border border-dark col-6">
        <h2 class="text-center">6 columns</h2>
        <p>
          Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
        </p>
      </div>

      <div class="bg-danger py-3 border border-dark col-6">

        6 column
      </div>
    </div>

    <!-- end row 1:1 -->
    <h3 class="text-center">1:2 Ratio
      <div class="row">
        <div class="bg-success py-3 border border-dark col-4">col-4
        </div>
        <div class="bg-info py-3 border border-dark col-8">col-8</div>

      </div>
      <!-- end of row -->
      <h3 class="text-center">1:3 Ratio</h3>
      <div class="row">

        <div class="bg-warning border border-dark py-3 col-3">col</div>
        <div class="bg-danger border border-dark py-3 col-9">col</div>

      </div>
      <!-- end of row -->
      <h2 class="text-center">Rows with three columns</h2>
      <h2 class="text-center">1:1:1<h2>

        <div class="row">

          <div class="bg-primary py-3 border border-dark col-4"></div>
          <div class="bg-secondary py-3 border border-dark col-4"></div>
          <div class="bg-danger py-3 border border-dark col-4"></div>

        </div>
        <!-- end of row -->
        <h3 class="text-center">1:2:1</h3>
        <div class="row">

          <div class="bg-warning border boder-dark py-3 col-3 ">col-3</div>
          <div class="bg-success border boder-dark py-3 col-6 ">col-6</div>
          <div class="bg-warning border boder-dark py-3 col-3 ">col-3</div> 

        </div>
        <!-- end of row -->
        <h2 class="text-center">Auto Columns</h2>
        <!-- auto columns are columns which adjust themselves according to the number left in a row -->

        <div class="row">

          <div class="bg-success py-5 border border-dark col">Auto 1</div>
          <div class="bg-success py-5 border border-dark col">Auto 2</div>
          <div class="bg-primary py-5 border border-dark col-8">Col 8</div>
          <div class="bg-success py-5 border border-dark col">Auto 4</div>
          <div class="bg-success py-5 border border-dark col">Auto 5</div>

        </div>
        <!-- end of auto column div -->

        <h3 class="text-center">Row with uneven columns</h3>
        <div class="row">

          <div class="bg-info py-5 border border-dark col-7">col-7</div>
          <div class="bg-info py-5 border border-dark col-5">col-5</div>
          <div class="bg-info py-5 border border-dark col-4">col-4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>
          <div class="bg-info py-5 border border-dark col-4">col 4</div>


        </div>
        <!-- end of uneven columns -->

        <h2 class="text-center">Responsive columns</h2>
        <!-- break-points -->
        <!-- sm = 576px, md=768px, lg= 992px, xl=1200px -->
        <!-- Bootstrap was designed with mobile-first-approach in mind, the default breakpoint is for the smalles screen. -->
        <div class="row">
          <div class="bg-secondary py-3 border border-dark col-md-4">
            4 cols md to lg
          </div>
          <div class="bg-primary py-3 border border-dark col-md-6">
            6 cols md to lg
          </div>
          <div class="bg-danger py-3 border border-dark col-md-2">
            2 cols md to lg
          </div>
        </div>
        <!-- end of row -->
        <div class="row">
          <div class="bg-dark py-3 border border-white col-4">
            col-4 from sm to lg
          </div>
          <div class="bg-primary border border-dark col-8 col-md-6">
            8 col 6 col from sm to lg
          </div>

        </div>


        <!-- mini activity -->
        <div class="row">
          <div class="bg-primary border border-dark py-3 col-6">col 6 all the way</div>
          <div class="bg-danger border border-dark py-3 col-6 col-md-10 ">col 10 from md to lg</div>

        </div>

        <!-- end of row -->

        <div class="row">
          <div class="bg-success py-3 border border-dark col-sm-12 col-md-8">first div</div>
          <div class="bg-info py-3 border border-dark col-sm-6 col-md-2">second div</div>
          <div class="bg-success py-3 border border-dark col-sm-6 col-md-2">third dov</div>

        </div>



      </div>

      <!-- end of container -->


      <!-- ================================================================== -->
      <!-- Activity -->

      <h2 class="text-center">Projects</h2>
      <!-- make container for layout of items -->

      <div class="container-fluid  text-center p-4 m-5  ">

        <!-- start of row 1 -->
        <div class="row ">

          <div class="py-3  col-sm-12 col-md-6 order-md-12 "><img class="img-fluid pt-5 w-100" src="./webApi.png" >

          </div>
            <!-- applying order-1 to place this div first in md to lg viewport -->
          <div class="col-sm-12 py-5 order-1 col-md-6 text-justify "> 
            <h3 class="text-capitalize text-center py-3 h4">Web API (Ecommerce)</h3>
            ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
            consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
            cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
            proident, sunt in culpa qui officia deserunt mollit anim id est laborum. ipsum dolor sit amet,
            consectetur adipisicing elit, sed do eiusmod
            tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
            quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
            consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
            cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
            proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

          </div>
        </div>

        <!-- end of row 1-->
        <!-- start of row 2 -->

        <div class="row ">

          <div class=" py-3 col-sm-12 col-md-6"><img class="
            img-fluid pt-5 w-100" src="./react.jpg" >

          </div>

          <div class="  col-sm-12 col-md-6 text-justify py-5">
            <h4 class="text-capitalize py-3 text-center">React Frontend (Ecommerce)</h3>
             ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
             tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
             quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
             consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
             cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
             proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
             ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
             tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
             quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
             consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
             cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
             proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
           </div>
         </div>

       </div>

       <!-- end of row 2 -->




       <!-- Bootstrap JS -->
       <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
       <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
       <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>
     </body>
     </html>